Version 3.6 of ProcMeter3 released : Sun Jan 22 2012
----------------------------------------------------

Bug Fixes
 Don't package up unused LSM and ANNOUNCE files.
 Add "-lX11" to LDFLAGS (fixes Debian bug #556073).
 Move installed modules into /usr/lib/ProcMeter3 (fixes Debian bug #651145).
 Don't always install the procmeterrc.install file (fixes Debian bug #651149).
 Install procmeter.h to /usr/include/ProcMeter3 (fixes Debian bug #651150).
 Fix Makefiles to stop linking executables each time make is run.
 Don't crash procmeter3-xaw if specified font doesn't exist.

Module bug fixes
 Changed wireless module to remove kernel 2.4.x code.
 Fixed stat-intr module to not use data from freed memory.

New features
 Added GTK3 version.
 Draw line in foreground colour between outputs in procmeter3-gtk2.

New modules
 Battery - new /sys/class/power_supply/ battery information.


Version 3.5d of ProcMeter3 released : Mon Oct 3 18:00:00 2011
-------------------------------------------------------------

Bug Fixes
 Remove gcc-4.4 compilation warnings.
 Make error messages consistent.
 Fix several errors in manual pages.
 Don't crash if /proc/interrupts has very long lines.

New features
 Added an option to limit the number of interrupts listed.
 Allow installation of stripped executables.


Version 3.5c of ProcMeter3 released : Sat Feb 20 14:00:00 2010
--------------------------------------------------------------

Bug Fixes
 Remove 64-bit compilation warnings and fix variable type mismatch.
 Fixed df module to handle disks bigger than 2TB.
 Fixed sensors module to handle new directory format.
 Pass top-level Makefile variables down to sub directories.

New features
 Sort the module menu into alphabetical order.

New modules
 FanSpeed, Temperature & Voltage - Improved hardware sensors (see below).


**** NOTE ****

The new hardware sensor modules require the use of the libsensors library.

The advantage is that it reads the system sensors.conf file (which can contain
customisation of scaling and names - essential for some sensors).

The existing "Sensors" module raises a warning when used and the module will be
removed in a future version of the program.
 
**** NOTE ****


Version 3.5b of ProcMeter3 released : Thu Oct 23 19:30:00 2008
--------------------------------------------------------------

Bug Fixes
 Be more careful looking for modules (check '.' and '..').
 Set the locale to "C" to avoid problems parsing numbers.
 Ensure that graph-min and graph-max options are used properly.
 Extended the line buffer size for parsing /proc/interrupts.
 Remove fixed size line buffers in modules (realloc more space as needed).
 Allow LCD version to specify priority as a string or numeric value.

New Features
 Extended Window Manager Hints can be specified with a -w option.
 Increase the number of interrupts possible in stat-intr.


Version 3.5a of ProcMeter3 released : Sun Dec 16 15:00:00 2007
--------------------------------------------------------------

Bug Fixes
 Stop the GTK2 version crashing when displayed items are removed.
 Make sure that the right mouse button menu works with no outputs displayed.
 Make the GTK1 and GTK2 version windows resize themselves like Xaw version.
 Updates to manual pages to reflect new executable names.
 Bug fixes for ACPI module.


Version 3.5 of ProcMeter3 released : Tue Nov 20 19:30:00 2007
-------------------------------------------------------------

New features
 Added a gtk2 version of ProcMeter3.
 Renamed the executables but added backwards compatibility links.
 Added DESTDIR option to Makefiles.

**** IMPORTANT ****

The Xaw version is now named procmeter3-xaw instead of procmeter3.  A symbolic
link to the original name will still be created and installed.

The GTK1 version is now named procmeter3-gtk1 instead of gprocmeter3.
The GTK2 version is named procmeter3-gtk2.

If only one or the other GTK version is compiled then a link will be created to
it from the name gprocmeter3.

**** IMPORTANT ****


Version 3.4g of ProcMeter3 released : Sun Sep 9 15:30:00 2007
-------------------------------------------------------------

Bug fixes:
 Quicker default update of the date displays (useful after suspending).
 Uptime now accurately shows system running time even after suspend.
 Fix ACPI battery discharge rates.
 Fix for crashes with stat-cpu outputs on multi-CPU machines.
 Change to use longer integer values for netdev outputs.
 Search other places for hardware sensors information.


Version 3.4f of ProcMeter3 released : Fri Feb 16 09:45:00 2007
--------------------------------------------------------------

Bug fixes:
 The biff module re-reads the inbox if the size or timestamp change.
 The df module uses longer strings for reading from /proc/mounts.


Version 3.4e of ProcMeter3 released : Sat Apr 29 16:00:00 2006
--------------------------------------------------------------

Bug fixes:
 Fix some spelling mistakes in the manual pages.
 Change the default scaling for the DiskUsage outputs to 5 grid lines of 20%.
 Fix some gcc-4.x compilation warnings.
 Fix some ACPI module bugs.

New or changed modules:
 Add in the new CPU statistics (iowait, irq, softirq and steal).
 Add in a display of the CPU clock speed.


Version 3.4d of ProcMeter3 released : Sat Apr 30 16:00:00 2005
--------------------------------------------------------------

Bug fixes:
 Updated ACPI support to handle kernel version 2.6.
 Added support for /dev/mapper in disk statistics.
 Change to using 64-bit variables from /proc/stat.


Version 3.4c of ProcMeter3 released : Sun Sep 5 14:30:00 2004
-------------------------------------------------------------

Bug fixes:
 Make grid-max option work for GTK version.
 Handle kernel 2.6.x better for hardware sensors.


Version 3.4b of ProcMeter3 released : Sun Apr 25 09:10:00 2004
--------------------------------------------------------------

New or changed modules:
 The stat-disk module can display individual disk partitions for kernel 2.6.x.
 The modules stat, stat-disk, sensors and meminfo now work with kernel 2.6.x.
 Handle different header line for hostap wireless driver.

Bug fixes:
 Modules that didn't work with kernel 2.6.x now do (see above).
 Improved some module initialisation functions.


**** IMPORTANT ****

For kernel version 2.6.x the disk statistics are in /proc/diskstats and not
/proc/stat.  All configuration references to Statistics.Disk need to be changed
to Stat-Disk.Disk.

Statistics.Disk -> Stat-Disk.Disk

**** IMPORTANT ****


Version 3.4a of ProcMeter3 released : Sat Jun 28 20:00:00 2003
--------------------------------------------------------------

New or changed modules:
 The stat-disk module allows specifying a list of extra devices in config file.
 The biff module does not change the access time of the mailbox.

Bug fixes:
 The biff module does not change the access time of the mailbox file.
 The memory module handles more than 4 GB of memory.
 The stat-intr module does not crash when interrupt graphs are added.
 Installation using 'make install' does not overwrite existing procmeterrc file.
 Memory corruption problem fixed.


Version 3.4 of ProcMeter3 released : Sun Jan 12 10:00:00 2003
-------------------------------------------------------------

New output format:
 Using the LCD driver daemon from http://lcdproc.omnipotent.net.

New or changed modules:
 The length of the module names and output names has been increased.
 Virtual Memory statistics (for kernel V2.5, swap and page only).
 Added new DateTime outputs that show the time without the timezone.
 Changed the DateTime outputs to display the weekday in the current locale.
 Longer names allow to show DiskUsage outputs for mountpoints with long names.
 Fix the parsing of /proc/apm where the version number contains letters.

Documentation changes:
 Added a new manual page for the modules (shared among all programs).

Bug fixes:
 Doesn't crash if the --rc=... file doesn't exist.
 Use snprintf() in more places to avoid buffer overflow.


**** IMPORTANT ****

The name of the text only output version of the program is now procmeter3-log
and not procmeter3-no-x like in the previous version.

**** IMPORTANT ****

The Linux kernel version 2.5.x has removed some information from /proc/stat and
placed it into /proc/vmstat.  This means that procmeterrc files need to be
updated for these kernel versions if displaying swap and page statistics.

**** IMPORTANT ****

The longer names mean that some of the procmeterrc entries need to be changed.

ACPI.Thermal<n>_Stat -> ACPI.Thermal<n>_State
ACPI.Batt<n>_ChrgTm  -> ACPI.Batt<n>_ChargeTime

DiskUsage.DF_Used_/export -> DiskUsage.DF_Used_/export/name

(In the case of DiskUsage.DF_Used_... and DiskUsage.DF_Free_... the first 16
 characters of the mount point are used and not just the first 7).

**** IMPORTANT ****

The new DateTime outputs for the current time don't contain the timezone by
default.  To reproduce the behaviour of earlier versions make the following
changes.

DateTime.Time_HM  -> DateTime.Time_HM_TZ
DateTime.Time_HMS -> DateTime.Time_HMS_TZ

**** IMPORTANT ****


Version 3.3b of ProcMeter3 released : Sat Aug 10 16:45:00 2002
--------------------------------------------------------------

New modules:
 Transmeta Crusoe longrun performance level (contributed by Joey Hess).
 Wireless network link quality and signal, noise levels (contrib by Joey Hess).
 Temperatures and battery status from the ACPI interface (contrib by Joey Hess).

New output format:
 Text only output for logging to a file.

New features:
 NFS mounts can appear in df outputs.
 12 hour clock option for data and time.

Bug fixes:
 Fix for disk statistics kernel version detection.


Version 3.3a of ProcMeter3 released : Sun May 27 08:45:00 2001
--------------------------------------------------------------

Bug fixes:
 Better handling of kernel version 2.4.x.


Version 3.3 of ProcMeter3 released : Fri Jan 5 20:00:00 2001
------------------------------------------------------------

Now compiles with GTK or Athena Widgets.

GTK version is mostly working, not quite same configurability as Athena.


Version 3.2b of ProcMeter3 released : Wed Dec 13 17:45:00 2000
--------------------------------------------------------------

Bug fixes:
 Handle kernel version 2.4.0 with changed format for /proc/stat.


Version 3.2a of ProcMeter3 released : Sun Oct 22 16:30:00 2000
--------------------------------------------------------------

Bug fixes:
 Use a default font if the user specified one fails.  Handle kernel version
 2.4.0 with new format for /proc/stat.


Version 3.2 of ProcMeter3 released : Sun Dec 12 14:15:00 1999
-------------------------------------------------------------

Bug fixes:
 Better handling of colour options.  Improve appearance with Xaw3d.  Don't
 change to the library directory when running.  The .procmeterrc file sections
 and parameter names are not case sensitive.  Better memory handling for
 unloading modules.

Modules:
 Added more sensor directories to the lm78 sensors module.
 Fix the df module to remove mountpoints that can't be monitored.

Configuration:
 Allow the label that is displayed for each output to be user configurable.
 Allow the update interval be specified globally in the resources section.
 Simplify the way that commands to run on the functions menu can be specified.
 Allow command line options to override the .procmeterrc options.

Display:
 Add a delete option to the function menu.
 Add a third level of menus to select the output format.
 Add a new Widget type, a bar chart widget.


Version 3.1c of ProcMeter3 released : Sun Aug 22 13:00:00 1999
--------------------------------------------------------------

Bug fixes:
 stat-cpu module SMP problems fixed.

Outputs:
 Support for hardware sensors (lm78) patch from http://www.netroedge.com/~lm78/


Version 3.1b of ProcMeter3 released : Sat Jun 19 17:30:00 1999
--------------------------------------------------------------

Bug fixes:
 Makefile fixes.

Documentation
 Improved the two manual pages.
 Improve the output of 'procmeter3 -h' to show graph/text availability.


Version 3.1a of ProcMeter3 released : Sun Apr 18 10:15:00 1999
--------------------------------------------------------------

Bug fixes:
 Stopped core dump when window is resized.  Network stats work properly with
 newer kernels.  Makefile fixes.


Version 3.1 of ProcMeter3 released : Sat Mar 6 15:00:00 1999
------------------------------------------------------------

Bug fixes:
 Works with kernel version 2.2.2 with extra long interrupts line.

Procmeterrc file:
 Improve the information and examples in the default procmeterrc file.
 Rename the system default .procmeterrc file to procmeterrc.
 Allow the startup order of the outputs to be specified.
 Remove the startup-text and startup-graph options.

Display:
 Add more information to the properties display window.
 Allow the output displays to be moved around while running.

Configuration:
 Include the option to specify a program to run from the output menus.
 Allow the graph scale and maximum number of grid lines be user specifiable.
 Allow the update interval of the outputs to be user specifiable.

Outputs:
 Add in the number of bytes per second on each network interface.
 Add new statistics for individual CPUs on SMP machines.
 Add new statistics for individual disks.
 Add new statistics for individual interrupts.


Version 3.0a of ProcMeter3 released : Sat Oct 24 13:15:00 1998
--------------------------------------------------------------

Bug fixes:
 Logfile module starts without error message.  Fix graph units for meminfo
 module.  Truncate hostnames to the host part or 15 characters.  Move the graph
 labels to be left aligned to allow more room for units label.  Use command line
 and .procmeterrc startup options with inclusive OR and not exclusive OR.


Version 3.0 of ProcMeter3 released : Fri Oct 09 15:10:00 1998
-------------------------------------------------------------
